#!/usr/bin/env bash

if [ -e "flake.nix" ]; then
    flake_url=.
    echo "Log: flake.nix detected use '$flake_url' as flake url"
else
    echo "File '$file' does not exist."
    flake_url=git+https://git.mrdev023.fr/florian.richer/nixos.git?ref=dev-disko
    echo "Log: flake.nix not detected use '$flake_url' as flake url"
fi

if [ -z "$1" ]; then
    available_values=$(nix eval --extra-experimental-features 'nix-command flakes' "$flake_url#nixosConfigurations" --json --apply builtins.attrNames)
    echo "Error: Hostsname is required. Please add the first parameter with one of the following list $available_values."
    exit 1
else
    flake_name=$1
    disko_install_args=("${@:2}")
    echo "Log: Use $flake_name flake name with with '${disko_install_args[@]}' as arguments"
fi

sudo nix run --extra-experimental-features 'nix-command flakes' \
    'github:nix-community/disko/latest#disko-install' -- \
    --flake "$flake_url#$flake_name" \
    ${disko_install_args[@]}
